Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000192Core InformUnderstandingpublic2010-07-08 13:492010-10-28 00:31
ReporterEmacsUser 
Assigned Tograham 
PrioritynormalSeveritymildReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSLinuxOS VersionAny
Product Version6E72 
Target VersionFixed in Version6F95 
Summary0000192: Commands that match except for the kind of the noun provoke visibility errors from the parser
DescriptionThe attached code produces the parser error ``You can't see "me" (yourself) at the moment,'' which is not a true statement. More reasonable would be miscellaneous message 73: ``That noun did not make sense in this context.''
Minimal Source Text To Reproduce
There is a room.
Locating is an action applying to one thing.
Understand "locate [a device]" as locating.
Test me with "locate me."
TagsNo tags attached.
Effect(serious/mild) Game compiles but misbehaves
Attached Files

- Relationships

-  Notes
(0000669)
graham (administrator)
2010-10-03 16:51

As with the other bug report about parser errors concerning pronouns, it's unreasonably difficult to perfect the result, but I've made the suggested change in most cases.

- Issue History
Date Modified Username Field Change
2010-07-08 13:49 EmacsUser New Issue
2010-07-08 14:29 jmcgrew Status new => acknowledged
2010-07-08 16:14 jmcgrew Status acknowledged => confirmed
2010-10-03 16:51 graham Note Added: 0000669
2010-10-03 16:51 graham Status confirmed => resolved
2010-10-03 16:51 graham Resolution open => fixed
2010-10-03 16:51 graham Assigned To => graham
2010-10-25 21:14 jmcgrew Fixed in Version => 6F95
2010-10-28 00:31 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker